## HRAWPLOT Generate a Raw Plot File

Section: Handle-Based Graphics

### Usage

This function takes a sequence of commands, and generates a raw plot (to a file) that renders the commands. It is a useful tool for creating high quality fully customized PDF plots from within FreeMat scripts that are portable. The syntax for its use

      hrawplot(filename,commands)

where `filename` is the name of the file to plot to, and `commands` is a cell array of strings. Each entry in the cell array contains a string with a command text. The commands describe a simple mini-language for describing plots. The complete dictionary of commands is given

- `LINE x1 y1 x2 y2` -- draw a line
- `FONT name size` -- select a font of the given name and size
- `TEXT x1 y1 string` -- draw the given text string at the given location
- `STYLE style` -- select line style ('solid' or 'dotted')
- `PAGE` -- force a new page
- `SIZE x1 y1` -- Set the page mapping